package com.persagy.calendar.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.calendar.pojo.dto.WorkCalendarDict;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月3日:	下午7:51:51
 */
@Mapper
public interface WorkCalendarDictMapper extends BaseMapper<WorkCalendarDict> {

	/**
	 * 批量创建字典类型
	 * 
	 * @param calendarDicts
	 * @return
	 */
	Integer batchCreateCalendarDict(@Param("calendarDicts") List<WorkCalendarDict> calendarDicts);

}
