package com.persagy.calendar.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.calendar.pojo.dto.WorkCalendar;

/**
 * 工作历主表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2020-10-02 11:33:00
 */
@Mapper
public interface WorkCalendarMapper extends BaseMapper<WorkCalendar> {

	/**
	 * 查询工作历类型列表，包含所对应的对象，多表关联
	 * 
	 * @param calendar
	 * @return
	 */
	List<WorkCalendar> queryCalendarObjectList(WorkCalendar calendar);

}
