package com.persagy.calendar.pojo.vo;

import java.util.List;

import com.persagy.calendar.pojo.dto.WorkCalendarDate;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午2:26:22
 */
@Getter
@Setter
@ToString
public class CalendarDateResult {
	
	// 周几
	private String week;
	
	// 第几天
	private Integer date;
	
	// 年月日
	private String workDate;
	
	// 是否是工作日
	private boolean workday = true;
	
	// 工作历ID
	private String calendarId;
	
	private List<WorkCalendarDate> timeTable;
	
}
