package com.persagy.calendar.pojo.vo;

import java.util.Set;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午2:26:22
 */
@Getter
@Setter
@ToString
public class DictQueryVO {

	@NotBlank(message = "用户ID不可为空")
	//@ApiModelProperty(value = "用户ID", required = true)
	private String userId;
	
	//@ApiModelProperty(value = "集团编码")
	private String groupCode;
	
	//@ApiModelProperty(value = "项目ID")
	private String projectId;
	
	//@ApiModelProperty(value = "字典类型")
	private String dictType; // 字典类型
	
	//@ApiModelProperty(value = "字典类型集合")
	private Set<String> dictTypes; // 字典类型
	
	//@ApiModelProperty(value = "工作历ID")
	private String calendarId; // 工作历ID
	
}
