package com.persagy.calendar.pojo.vo;

import java.util.Set;

import javax.validation.constraints.NotBlank;

import com.google.common.collect.Sets;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月2日:	下午3:21:57
 */
@Getter
@Setter
@ToString(callSuper = true)
public class RwdObjectQueryVO {
	
	@NotBlank(message = "userId不可为空")
	//@ApiModelProperty(value = "用户ID", required = true)
	private String userId;
	
	@NotBlank(message = "groupCode不可为空")
	//@ApiModelProperty(value = "集团编码", required = true)
	private String groupCode;
	
	//@NotBlank(message = "项目ID不可为空")
	//@ApiModelProperty(value = "项目ID")
	private String projectId;
	
	//@ApiModelProperty(value = "应用ID")
	private String appId;
	
	//@ApiModelProperty(value = "主键ID", example = "Sp44030700030006cf1d00c2462499a292faf9411993")
	private String id;
	
	//@ApiModelProperty(value = "类型编码", example = "project")
	private String classCode;
	
	//@ApiModelProperty(value = "是否可用， 1-可用，0-不可用", example = "1")
	private Integer valid = 1;
	
	//@ApiModelProperty(value = "对象类型，默认space, floor, building, project", example = "[space, floor]")
	private Set<String> objType = Sets.newHashSet("space", "floor", "building", "project");
	
}
