package com.persagy.calendar.pojo.vo;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午2:26:22
 */
@Getter
@Setter
@ToString
public class WorkCalendarDateUpdateVO {
	
	@NotBlank(message = "作息时间ID，不可为空")
	//@ApiModelProperty(value = "作息时间ID", required = true)
	private String id; // 作息时间ID
	
	//@NotBlank(message = "工作历ID，不可为空")
	//@ApiModelProperty(value = "工作历ID", required = true)
	private String calendarId; // 工作历ID
	
	@NotBlank(message = "字典类型，不可为空")
	//@ApiModelProperty(value = "字典类型", required = true)
	private String dictType; // 字典类型

	@NotBlank(message = "字典数据code，不可为空")
	//@ApiModelProperty(value = "字典数据code", required = true)
	private String dictCode; // 字典数据code
	
	@NotBlank(message = "作息日期，不可为空")
	//@ApiModelProperty(value = "作息时间点[YYYYMMDD]", required = true)
	private String workDate; // 具体执行日期，新接口YYYYMMDD

	@NotBlank(message = "作息时间点，不可为空")
	//@ApiModelProperty(value = "作息时间点[HHMMSS]", required = true)
	private String workTime; // 具体时间段
	
}
