package com.persagy.calendar.pojo.vo;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月3日:	下午5:51:26
 */
@Getter
@Setter
@ToString
public class WorkCalendarLabelQueryVO {
	
	@NotBlank(message = "用户ID不可为空")
	//@ApiModelProperty(value = "用户ID", required = true)
	private String userId;
	
	//@NotBlank(message = "集团编码不可为空")
	//@ApiModelProperty(value = "集团编码")
	private String groupCode;
	
	//@NotBlank(message = "项目ID不可为空")
	//@ApiModelProperty(value = "项目ID")
	private String projectId; 		// 项目
	
	//@ApiModelProperty(value = "工作历ID")
	private String calendarId; 			// 工作历ID
	
	//@ApiModelProperty(value = "对象ID")
	private String objId;	//对象ID
	
	//@ApiModelProperty(value = "标签所属开始日期[yyyyMMdd]")
	private String labelDateStart; 		// 标签所属开始日期
	
	//@ApiModelProperty(value = "标签所属结束日期[yyyyMMdd]")
	private String labelDateEnd; 		// 标签所属结束日期
	
	//@ApiModelProperty(value = "字典类型")
	private String dictType;
	
	//@ApiModelProperty(value = "字典编码")
	private String dictCode;
	
	//@ApiModelProperty(value = "是否自定义，0-非自定义，1-自定义")
	private String diyLabel;
	
	//@ApiModelProperty(value = "分组条件，传列名：不传默认为DICT_TYPE, DICT_CODE")
	private String groupBy = "DICT_TYPE, DICT_CODE";
	
}
