package com.persagy.calendar.pojo.vo;

import java.util.Set;

import com.persagy.calendar.constant.WorkCalendarConstant;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月2日:	下午7:00:31
 */
@Getter
@Setter
@ToString
public class WorkCalendarRuleQueryVO extends BaseQueryVO {
	
	//@ApiModelProperty(value = "工作历ID")
	private String calendarId; 	// 工作历ID
	
	//@ApiModelProperty(value = "字典类型")
	private String dictType; 	// 字典类型

	//@ApiModelProperty(value = "字典数据code")
	private Set<String> dictCode; 	// 字典数据code
	
	//@ApiModelProperty(hidden = true)
	private String ruleFlag = WorkCalendarConstant.WORK_CALENDAR_RULE_FLAG_NEW; // 0-解析规则；1-不解析规则，方便后续解析
	
}
