package com.persagy.calendar.pojo.vo;

import java.util.Set;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月2日:	下午12:22:08
 */
@Getter
@Setter
@ToString
public class WorkCalendarUpdateVO extends BaseQueryVO {
	
	@NotBlank(message = "工作历名称不可为空")
	//@ApiModelProperty(value = "工作历名称", required = true)
	private String calendarName;	// 同一GROUP_ID下唯一，代码判断

	//@ApiModelProperty(value = "工作历描述")
	private String calendarDesc; 	// 工作历描述

	//@ApiModelProperty(value = "工作历来源ID，当模板创建时，不可为空")
	private String fromId;
	
	//@ApiModelProperty(value = "对象ID集合，空间、建筑、楼层、项目", example = "Sp4403070003f55c8b33cf1f45e5bfc699caaba4eedc")
	private Set<String> objIds;
	
	//@ApiModelProperty(value = "新项目ID，可支持跨项目复制")
	private String newProjectId; 		// 新项目ID
	
}
