package com.persagy.calendar.service.impl;

import com.persagy.calendar.mapper.HolidayMapper;
import com.persagy.calendar.pojo.dto.Holiday;
import com.persagy.calendar.pojo.vo.HolidayQueryVO;
import com.persagy.calendar.service.HolidayService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class HolidayServiceImpl implements HolidayService {

    @Autowired
    private HolidayMapper holidayMapper;

    @Override
    public List<Holiday> queryHoliday(HolidayQueryVO holidayQueryVO) {
        List<Holiday> holidayList = holidayMapper.getHolidayList(holidayQueryVO);
        return holidayList;
    }

}
