package com.persagy.dye.constant;

/**
 * @description: 染色程序相关常量值
 * @author: YangWanYi
 * @create: 2021-10-25 16:10
 **/
public class DyeConstant {

    /**
     * 删除状态
     */
    public static final String DELETED = "1";

    /**
     * 上限
     */
    public static final String UPPER_LIMIT = "upperLimit";

    /**
     * 下限
     */
    public static final String LOWER_LIMIT = "lowerLimit";

    /**
     * 名称
     */
    public static final String NAME = "name";

    /**
     * 色值
     */
    public static final String COLOR_VALUE = "colorValue";

    /**
     * 数值
     */
    public static final String NUM_VALUE = "numValue";

    /**
     * 空间ID
     */
    public static final String SPACE_ID = "spaceId";

    /**
     * 项目ID
     */
    public static final String PROJECT_ID = "projectId";

    /**
     * 集团编码
     */
    public static final String GROUP_CODE = "groupCode";

    /**
     * 染色类型
     */
    public static final String TYPE_CODE = "typeCode";

    /**
     * 实时数值
     */
    public static final String REALTIME_NUM = "realTimeNum";


    /**
     * 染色标尺ID（可能是默认标尺ID也可能是自定义标尺ID 主要是给SDK使用）
     */
    public static final String DYE_ID = "id";


}
