package com.persagy.dye.service;

import com.persagy.db.service.ISuperService;
import com.persagy.dye.pojo.dto.DyeRuleDefault;

/**
 * 默认染色规则
 *
 * @author yangwanyi
 * @version v1.0.0
 * @company persagy
 * @date 2021-10-25 15:58:56
 */
public interface IDyeRuleDefaultService extends ISuperService<DyeRuleDefault> {

    /**
     * 根据主键逻辑删除染色规则默认表信息
     *
     * @param dyeRuleDefaultId 染色规则默认表主键
     * @param updateUserId     修改人ID
     * @return boolean
     */
    boolean deleteDyeRuleDefaultById(String dyeRuleDefaultId, String updateUserId);
}

