package com.persagy.calendar.pojo.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 工作历主表
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2020-10-02 11:33:00
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
public class OldWorkCalendar implements Serializable {
	private static final long serialVersionUID = 3777758228884011839L;
	
	private String id;		// 主键id
	
	private String projectId; // 项目ID

	private String name; // 同一GROUP_ID下唯一，代码判断

	private String desc; // 工作历描述
	
	private String tag; // 字典类型
	
	private String type; // 字典数据code
	
	private String value;

	@JsonIgnore
	private String delFlag; // 0-正常；1-删除

}
