package com.persagy.calendar.pojo.old;

import javax.validation.constraints.NotBlank;

import com.persagy.calendar.constant.WorkCalendarConstant;
import com.persagy.common.constant.CommonConstant;

import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午9:08:40
 */
@Getter
@Setter
public class OldCalendarRuleDeleteVO {

	@NotBlank(message = "id不可为空")
	//@ApiModelProperty(value = "工作历ID", required = true)
	private String id;
	
	@NotBlank(message = "tag不可为空")
	//@ApiModelProperty(value = "tag值", required = true)
	private String tag;
	
	//@ApiModelProperty(hidden = true)
	private String projectId = CommonConstant.DEFAULT_USER_ID;
	
	// 0-新接口规则；1-老接口规则，方便后续解析
	//@ApiModelProperty(hidden = true)
	private String ruleFlag = WorkCalendarConstant.WORK_CALENDAR_RULE_FLAG_OLD; 

}
