package com.persagy.calendar.pojo.old;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import com.persagy.common.constant.CommonConstant;

import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月4日:	下午12:55:39
 */
@Getter
@Setter
public class OldCalendarTagVO {
	
	@NotBlank(message = "tag不可为空")
	//@ApiModelProperty(value = "tag值", required = true)
	private String tag;
	
	@Valid
	@NotEmpty(message = "dates不可为空")
	//@ApiModelProperty(value = "dates", required = true)
	private List<DataRangeVO> dates;
	
	//@ApiModelProperty(hidden = true)
	private String projectId = CommonConstant.DEFAULT_USER_ID;
	
}
