package com.persagy.calendar.pojo.vo;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 所有操作的验证基类，任何操作都需要传输groupId和userId字段
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月2日:	下午8:51:44
 */
@Getter
@Setter
public class BaseVO {

	@NotBlank(message = "用户ID不可为空")
	//@ApiModelProperty(value = "用户ID", required = true)
	private String userId;
	
	//@ApiModelProperty(value = "集团编码", required = true)
	private String groupCode;
	
	@NotBlank(message = "项目ID不可为空")
	//@ApiModelProperty(value = "项目ID", required = true)
	private String projectId; 		// 项目
	
}
