package com.persagy.calendar.pojo.vo;

import java.util.Set;

import javax.validation.constraints.NotBlank;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月3日:	下午5:51:26
 */
@Getter
@Setter
@ToString
public class WorkCalendarLabelUpdateVO extends BaseVO {
	
	//@ApiModelProperty(value = "是否在创建或更新之前，优先删除此段日期下已存在的标签属性，默认true")
	private Boolean isUpdate = true;
	
	//@ApiModelProperty(value = "是否仅删除此段日期下已存在的标签属性，默认false")
	private Boolean isDelete;
	
	@NotBlank(message = "工作历ID，不可为空")
	//@ApiModelProperty(value = "工作历ID", required = true)
	private String calendarId; 			// 工作历ID
	
	@NotBlank(message = "标签所属开始日期，不可为空")
	//@ApiModelProperty(value = "标签所属开始日期[yyyyMMdd]", required = true)
	private String labelDateStart; 		// 标签所属开始日期
	
	@NotBlank(message = "标签所属结束日期，不可为空")
	//@ApiModelProperty(value = "标签所属结束日期[yyyyMMdd]", required = true)
	private String labelDateEnd; 		// 标签所属结束日期
	
	//@NotBlank(message = "标签编码，不可为空")
	//@ApiModelProperty(value = "字典类型，非自定义时，必填")
	private String dictType;
	
	//@ApiModelProperty(value = "字典编码，非自定义时，必填")
	private String dictCode;
	
	@NotBlank(message = "是否自定义，不可为空")
	//@ApiModelProperty(value = "是否自定义，0-非自定义，1-自定义", required = true)
	private String diyLabel;
	
	//@ApiModelProperty(value = "字典描述，自定义时，必填")
	private Set<String> diyValue;
	
}
