package com.persagy.calendar.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.persagy.calendar.mapper.WorkCalendarLabelMapper;
import com.persagy.calendar.pojo.dto.WorkCalendarLabel;
import com.persagy.calendar.service.IWorkCalendarLabelService;
import com.persagy.db.service.impl.SuperServiceImpl;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月3日:	下午5:45:25
 */
@Service
public class WorkCalendarLabelServiceImpl extends SuperServiceImpl<WorkCalendarLabelMapper, WorkCalendarLabel> implements IWorkCalendarLabelService {

	@Override
	@Transactional
	public boolean batchCreateCalendarLabel(List<WorkCalendarLabel> calendarLabels) {
		Integer result = this.baseMapper.batchCreateCalendarLabel(calendarLabels);
		return SqlHelper.retBool(result);
	}

}
