package com.persagy.dye.service;

import com.persagy.db.service.ISuperService;
import com.persagy.dye.pojo.dto.DyeBasic;

/**
 * 染色基础表
 *
 * @version v1.0.0
 * @company persagy
 * @author yangwanyi
 * @date 2021-10-25 15:58:56
 */
public interface IDyeBasicService extends ISuperService<DyeBasic> {

    /**
     * 根据主键逻辑删除染色基础表信息
     * @param dyeBasicId 染色基础表主键
     * @param updateUserId 修改人ID
     * @return boolean
     */
    boolean deleteDyeBasicById(String dyeBasicId, String updateUserId);
}

