package com.persagy.dye.service;

import com.persagy.dye.pojo.vo.DyeScaleplateVO;

import java.util.List;
import java.util.Map;

public interface IDyeSdkService {

    /**
     * 查询空间对应的染色标尺
     *
     * @param dyeScaleplateVO
     * @return List<Map < String, Object>>
     */
    List<Map<String, Object>> listDyeScaleplateWithSpaceIds(DyeScaleplateVO dyeScaleplateVO);

    /**
     * 查询指定集团、项目和类型的染色标尺列表
     *
     * @param dyeScaleplateVO
     * @return List<Map < String, Object>>
     */
    List<Map<String, Object>> listDyeScaleplateByType(DyeScaleplateVO dyeScaleplateVO);
}
